nifi-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jeff <jtsw...@gmail.com>
Subject Re: Java 11 build support is live!
Date Wed, 21 Aug 2019 17:18:51 GMT
Thanks Andy and Russell!

Another thing that might benefit the adoption/migration to Java 11 is some
additional information on various open/free JDK platforms that have
surfaced since Oracle changed the licensing.  Personally, most of the work
was done on OpenJDK 11.0.2, and then AdoptOpenJDK 11.0.3.  After the Java
11 PR was merged, I started looking at Zulu (from Azul).  From a community
perspective, I don't think we are interested in advocating for a specific
distribution of the JDK, and it would add a bunch of documentation work to
include information about all the known distributions.  There should be a
happy middle ground, though.

I'll be looking through our documentation and identifying areas for
improvement regarding building and running on Java 11.

On Thu, Aug 15, 2019 at 5:57 PM Russell Bateman <russ@windofkeltia.com>
wrote:

> Yes, at the risk of adding nothing more than a "me too," I nevertheless
> wish to add my thanks. Good job!
>
> On 8/15/19 12:04 PM, Jeff wrote:
>
> Apache NiFi Developers,
>
> Apache NiFi can now be built with Java 11!  Thanks to those that helped
> with the review and committing of several PRs to get us to this point.
>
> For all contributions going forward, developers, reviewers, and committers
> need to make sure that PRs are verified by building with and running on
> Java 8 and 11.
>
> To assist in this process, the Linux-based Travis CI build has been updated
> to perform an en_US locale-based build of NiFi using AdoptOpenJDK 11.0.4 in
> addition to the three locale-based builds (en_US, fr_FR, ja_JP) on OpenJDK
> 8.
>
> Apache NiFi still has a minimum requirement of Java 8 and as long as that
> requirement exists the released convenience binaries will be built with
> Java 8.
>
> When building locally with Java 11, on all operating systems, a minimum JDK
> version of 11.0.3 is required for a successful build.  If you are building
> on OSX and use AdoptOpenJDK 11.0.4, there's an issue [4] [5] with native
> libraries.  If you run into this issue, please downgrade your AdoptOpenJDK
> 11 installation to 11.0.3.  A updated release of AdoptOpenJDK 11.0.4 that
> fixes the native library issues is forthcoming.  There is a comment [6] on
> AdoptOpenJDK issue 1211 that describes the downgrade process.
>
> Work still remains regarding Java 11.  Some of the components that NiFi
> uses are not completely compatible with Java 11, and JIRAs will be created
> or linked to the Java 11 parent JIRA [1] to track the remaining changes.
>
> Several PRs not explicitly related to Java 11 were created and merged to
> master ahead of NIFI-5176 [2] (PR 3404 [3]), and are listed as blockers on
> NIFI-5176.  All blockers have been resolved, as well as NIFI-5176.
>
> If you encounter an issue with the Java 11 build, or running the resulting
> build on Java 11, please check NIFI-5174 to see if a JIRA for the issue has
> already been filed, and create one if needed.
>
> [1] https://issues.apache.org/jira/browse/NIFI-5174
> [2] https://issues.apache.org/jira/browse/NIFI-5176
> [3] https://github.com/apache/nifi/pull/3404
> [4] https://github.com/AdoptOpenJDK/openjdk-build/issues/1206
> [5] https://github.com/AdoptOpenJDK/openjdk-build/issues/1211
> [6]https://github.com/AdoptOpenJDK/openjdk-build/issues/1211#issuecomment-521392147
>
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message